
#define STRICT
#include <windows.h>
#include <windowsx.h>
#include <stdio.h>
#include "dll/dll.h"


static char string[256];

#pragma argsused
int PASCAL WinMain (HINSTANCE hInstance, HINSTANCE hPrev,
                    LPSTR lpCmdLine, int nCmdShow)
  {HMODULE hModule, hModuleDLL;
   HTASK hTask, hTaskDLL;
   HINSTANCE hInstanceDLL;

   hModule = GetInstanceModule (hInstance);
   hTask = GetCurrentTask ();
   hModuleDLL = GetDLLModule ();
   hTaskDLL = GetDLLTask ();
   hInstanceDLL = GetDLLInstance ();

   sprintf (string, "Application values:\n"
                    "   hInstance: %04X\n"
                    "   hModule: %04X\n"
                    "   hTask: %04X\n"
                    "DLL values:\n"
                    "   hInstance: %04X\n"
                    "   hModule: %04X\n"
                    "   hTask: %04X",
            hInstance,
            hModule,
            hTask,
            hInstanceDLL,
            hModuleDLL,
            hTaskDLL);

   MessageBox (NULL, string, "Test hInstance, hModule and hTask",
      MB_OK | MB_ICONINFORMATION | MB_TASKMODAL);

   return 0;
  } // end WinMain


